apiVersion: v1
kind: Pod
metadata:
  name: pod-name
  namespace: namespace-name
  labels:
    user: CICV
spec:
  nodeName: node-name
  dnsPolicy: None
  dnsConfig:
    nameservers:
      - 223.6.6.6
      - 8.8.8.8
  hostAliases:
    - ip: 172.17.0.184
      hostnames:
        - cicvtest002
    - ip: 172.17.0.188
      hostnames:
        - scgpu001
  containers:
    - name: vtd-container
      image: vtd-image
      imagePullPolicy: Always
      command: [ "/Controller/VTDController", "vtd-command", "kafkaTopic" ]
      env:
        - name: PodName
          valueFrom:
            fieldRef:
              fieldPath: metadata.name
        - name: LM_LICENSE_FILE
          value: 27500@172.14.1.103
        - name: KAFKA_IP
          value: 172.17.0.184:9092
        - name: MINIO_IP
          value: 172.17.0.184:9000
        - name: SIMULATION_CLOUD_IP
          value: 172.17.0.185
        - name: KAFKA_PARTITION
          value: kafka-partition
        - name: KAFKA_OFFSET
          value: kafka-offset
      volumeMounts:
        - name: nvidia0
          mountPath: /dev/nvidia0
        - name: nvidiactl
          mountPath: /dev/nvidiactl
      securityContext:
        privileged: true
      resources:
        limits:
          cpu: "4"
        requests:
          cpu: "4"
    - name: algorithm-container
      image: algorithm-image
      imagePullPolicy: Always
      command: [ "/bin/sh", "-c", "/run.sh; touch /tmp/hello.txt;while true;do /bin/echo $(date +%T) >> /tmp/hello.txt; sleep 5; done;" ]
      resources:
        limits:
          cpu: "3"
        requests:
          cpu: "3"
  restartPolicy: Never
  volumes:
    - name: nvidia0
      hostPath:
        path: /dev/nvidia0
    - name: nvidiactl
      hostPath:
        path: /dev/nvidiactl